Link evaluators to agent
curl --request POST \
--url https://api.calibrate.artpark.ai/agents/{agent_uuid}/evaluators \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"evaluator_ids": [
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
]
}
'import requests
url = "https://api.calibrate.artpark.ai/agents/{agent_uuid}/evaluators"
payload = { "evaluator_ids": ["f47ac10b-58cc-4372-a567-0e02b2c3d479"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "Evaluators linked to agent",
"linked": [
"<string>"
],
"already_linked": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents
Link evaluators to agent
Link one or more existing evaluators to an agent, skipping any already linked
POST
/
agents
/
{agent_uuid}
/
evaluators
Link evaluators to agent
curl --request POST \
--url https://api.calibrate.artpark.ai/agents/{agent_uuid}/evaluators \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"evaluator_ids": [
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
]
}
'import requests
url = "https://api.calibrate.artpark.ai/agents/{agent_uuid}/evaluators"
payload = { "evaluator_ids": ["f47ac10b-58cc-4372-a567-0e02b2c3d479"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "Evaluators linked to agent",
"linked": [
"<string>"
],
"already_linked": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication
Path Parameters
The agent to link the evaluators to
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Body
application/json
The evaluators to link to the agent. Ones that are already linked are skipped. Each must be one you created or a built-in default
Required string length:
36Example:
["f47ac10b-58cc-4372-a567-0e02b2c3d479"]